/*
 * irreco - Ir Remote Control
 * Copyright (C) 2007  Arto Karppinen (arto.karppinen@iki.fi)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "irreco_button.h"
#include <irreco_string_table.h> 

/**
 * @typedef IrrecoButtonStyle
 */

IrrecoButtonStyle* irreco_button_style_create(IrrecoData * irreco_data, gchar *name, 
					gchar *up, gchar *down, 
					gboolean allow_text, gboolean editable)
{
	IrrecoButtonStyle *button_style;
	IRRECO_ENTER
	
	button_style = g_slice_new0(IrrecoButtonStyle);
	button_style->irreco_data = irreco_data;
	button_style->name = g_strdup(name);
	button_style->up = g_strdup(up);
	button_style->down = g_strdup(down);
	button_style->allow_text = allow_text;
	button_style->editable = editable;
	button_style->text_padding = 5;
	IRRECO_RETURN_PTR(button_style);
}

void irreco_button_style_destroy(IrrecoButtonStyle * button_style)
{
	IRRECO_ENTER
	g_free(button_style->name);
	g_free(button_style->up);
	g_free(button_style->down);
	g_slice_free(IrrecoButtonStyle, button_style);
	IRRECO_RETURN
}


